#pragma once
#include <string>

inline std::string trimRight(const std::string &s, const std::string &delimiters = " \f\n\r\t\v")
{
	return s.substr(0, s.find_last_not_of(delimiters) + 1);
}

inline std::string trimLeft(const std::string &s, const std::string& delimiters = " \f\n\r\t\v")
{
	return s.substr(s.find_first_not_of(delimiters));
}

inline bool startsWith(const std::string &s, const std::string &start) {
	return s.substr(0, start.length())==start;
}